From b18502733e7a1eeb2011150fb35fe332be7b8f5a Mon Sep 17 00:00:00 2001
From: Dom Cobley <popcornmix@gmail.com>
Date: Tue, 20 Apr 2021 13:34:18 +0100
Subject: [PATCH] rpivid: Only clk_request_done once

Fixes: 25486f49bfe2e3ae13b90478d1eebd91413136ad
Signed-off-by: Dom Cobley <popcornmix@gmail.com>
---
 drivers/staging/media/rpivid/rpivid_video.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

--- a/drivers/staging/media/rpivid/rpivid_video.c
+++ b/drivers/staging/media/rpivid/rpivid_video.c
@@ -526,7 +526,11 @@ static void rpivid_stop_streaming(struct
 
 	rpivid_queue_cleanup(vq, VB2_BUF_STATE_ERROR);
 
-	clk_request_done(dev->hevc_req);
+	if (dev->hevc_req)
+	{
+		clk_request_done(dev->hevc_req);
+		dev->hevc_req = NULL;
+	}
 	clk_disable_unprepare(dev->clock);
 }
 
